Brivio API reference
Rewards

PUBLIC (widget session token as Bearer): the member summary and last 10 movements the widget renders

GET
/rewards/widget/me

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/rewards/widget/me"
{  "data": {    "program": {      "name": "string",      "unitLabel": "string"    },    "summary": {      "ref": "string",      "programKey": "string",      "memberId": 0,      "optedIn": true,      "optedInAt": "2019-08-24T14:15:22Z",      "holdout": true,      "balance": {        "available": 0,        "pending": 0,        "inDebt": true      },      "level": {        "level": 0,        "xp": 0,        "floor": 0,        "next": 0,        "ratio": 0      },      "streak": {        "current": 0,        "longest": 0,        "freezes": 0,        "atRisk": true,        "currentPeriod": "string",        "activeThisPeriod": true      },      "expiry": {        "units": 0,        "at": "2019-08-24T14:15:22Z"      },      "perks": [        "string"      ]    },    "history": [      {        "txnId": 0,        "kind": "string",        "units": 0,        "ruleKey": "string",        "memo": "string",        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "badges": [      {        "key": "string",        "family": "string",        "icon": "string",        "awardedAt": "2019-08-24T14:15:22Z"      }    ]  },  "error": null}